------------------------------------------------------------------------------
-- Modified X-Com Weapons Set (by Hobbes, Twillight Owl, DiversanT and others)
------------------------------------------------------------------------------

AddXcomItem {
	cost = 70,
	name = "Pistol",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 3),
	pMap = pck_image("$(xcom)/units/floorob.pck", 3),
	health = 100,
	importance = 5,
	width = 1,
	height = 2,
	ammo = {"Pistol Clip"},
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 96, 8),
	accuracy = {0, 60, 80},
	time = {0, 20, 35},
	weight = 3,
	isGun = 1,
	minimapMark = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 4) or cat_sample("$(xcom)/sound/sample2.cat", 4),
}

AddXcomItem {
	cost = 15,
	name = "Pistol Clip",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 4),
	pMap = pck_image("$(xcom)/units/floorob.pck", 4),
	health = 100,
	damage = 40,
	dDeviation = 60,
	importance = 3,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 0,
	rounds = 7,
	disappear = 0,
	weight = 1,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 22) or cat_sample("$(xcom)/sound/sample2.cat", 22),
}

AddXcomItem {
	cost = 70,
	name = "Rifle",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 1),
	pMap = pck_image("$(xcom)/units/floorob.pck", 1),
	health = 100,
	importance = 6,
	width = 1,
	height = 3,
	ammo = {"Rifle Clip"},
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 0, 8),
	accuracy = {35, 60, 110},
	time = {12, 25, 80},
	autoShots = 3,
	weight = 4,
	isGun = 1,
	minimapMark = 1,
	twoHanded = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 4) or cat_sample("$(xcom)/sound/sample2.cat", 4),
}

AddXcomItem {
	cost = 20,
	name = "Rifle Clip",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 2),
	pMap = pck_image("$(xcom)/units/floorob.pck", 2),
	health = 100,
	damage = 30,
	dDeviation = 60,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 0,
	rounds = 20,
	disappear = 0,
	weight = 2,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 22) or cat_sample("$(xcom)/sound/sample2.cat", 22),
}

AddXcomItem {
	cost = 80,
	name = "Heavy Cannon",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 11),
	pMap = pck_image("$(xcom)/units/floorob.pck", 11),
	health = 100,
	importance = 14,
	width = 2,
	height = 3,
	ammo = {"Cannon AP-Ammo", "Cannon HE-Ammo", "Cannon I-Ammo"},
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 24, 8),
	accuracy = {0, 60, 90},
	time = {0, 33, 80},
	weight = 18,
	isGun = 1,
	minimapMark = 1,
	twoHanded = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 2) or cat_sample("$(xcom)/sound/sample2.cat", 2),
}

AddXcomItem {
	cost = 60,
	name = "Cannon AP-Ammo",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 12),
	pMap = pck_image("$(xcom)/units/floorob.pck", 8),
	health = 100,
	damage = 72,
	dDeviation = 50,
	importance = 4,
	width = 2,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 0,
	rounds = 6,
	disappear = 0,
	weight = 6,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 22) or cat_sample("$(xcom)/sound/sample2.cat", 22),
}

AddXcomItem {
	cost = 80,
	name = "Cannon HE-Ammo",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 13),
	pMap = pck_image("$(xcom)/units/floorob.pck", 9),
	health = 100,
	damage = 60,
	dDeviation = 50,
	exploRange = 3,
	smokeRange = 3,
	smokeTime = 2,
	importance = 4,
	width = 2,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 2,
	rounds = 6,
	disappear = 0,
	weight = 6,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound2.cat", 10) or cat_sample("$(xcom)/sound/sample.cat", 10),
}

AddXcomItem {
	cost = 70,
	name = "Cannon I-Ammo",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 14),
	pMap = pck_image("$(xcom)/units/floorob.pck", 10),
	health = 100,
	damage = 52,
	dDeviation = 50,
	exploRange = 3,
	smokeRange = 2,
	smokeTime = 2,
	importance = 4,
	width = 2,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 1,
	rounds = 6,
	disappear = 0,
	weight = 6,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound2.cat", 10) or cat_sample("$(xcom)/sound/sample.cat", 10),
}

AddXcomItem {
	cost = 100,
	name = "Auto-Cannon",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 7),
	pMap = pck_image("$(xcom)/units/floorob.pck", 7),
	health = 80,
	importance = 16,
	width = 2,
	height = 3,
	ammo = {"Auto-Cannon AP-Ammo", "Auto-Cannon HE-Ammo", "Auto-Cannon I-Ammo"},
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 32, 8),
	accuracy = {32, 56, 0},
	time = {14, 33, 0},
	autoShots = 3,
	weight = 20,
	isGun = 1,
	minimapMark = 1,
	twoHanded = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 2) or cat_sample("$(xcom)/sound/sample2.cat", 2),
}

AddXcomItem {
	cost = 80,
	name = "Auto-Cannon AP-Ammo",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 8),
	pMap = pck_image("$(xcom)/units/floorob.pck", 12),
	health = 100,
	damage = 52,
	dDeviation = 50,
	importance = 4,
	width = 2,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 0,
	rounds = 14,
	disappear = 0,
	weight = 5,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 22) or cat_sample("$(xcom)/sound/sample2.cat", 22),
}

AddXcomItem {
	cost = 100,
	name = "Auto-Cannon HE-Ammo",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 9),
	pMap = pck_image("$(xcom)/units/floorob.pck", 13),
	health = 100,
	damage = 48,
	dDeviation = 50,
	exploRange = 3,
	smokeRange = 3,
	smokeTime = 2,
	importance = 4,
	width = 2,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 2,
	rounds = 14,
	disappear = 0,
	weight = 5,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound2.cat", 10) or cat_sample("$(xcom)/sound/sample.cat", 10),
}

AddXcomItem {
	cost = 90,
	name = "Auto-Cannon I-Ammo",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 10),
	pMap = pck_image("$(xcom)/units/floorob.pck", 14),
	health = 100,
	damage = 44,
	dDeviation = 50,
	exploRange = 3,
	smokeRange = 2,
	smokeTime = 2,
	importance = 4,
	width = 2,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 1,
	rounds = 14,
	disappear = 0,
	weight = 5,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound2.cat", 10) or cat_sample("$(xcom)/sound/sample.cat", 10),
}

AddXcomItem {
	cost = 100,
	name = "Rocket Launcher",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 15),
	pMap = pck_image("$(xcom)/units/floorob.pck", 15),
	health = 80,
	importance = 18,
	width = 2,
	height = 3,
	ammo = {"Small Rocket", "Large Rocket", "Incendiary Rocket", "Smoke Rocket"},
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 72, 8),
	accuracy = {0, 55, 115},
	time = {0, 45, 75},
	weight = 10,
	isGun = 1,
	minimapMark = 1,
	twoHanded = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 52) or cat_sample("$(xcom)/sound/sample2.cat", 52),
}

AddXcomItem {
	cost = 200,
	name = "Small Rocket",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 16),
	pMap = pck_image("$(xcom)/units/floorob.pck", 16),
	health = 100,
	damage = 75,
	dDeviation = 50,
	exploRange = 3,
	smokeRange = 5,
	smokeTime = 2,
	importance = 5,
	width = 1,
	height = 3,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 80, 8),
	damageType = 2,
	rounds = 1,
	disappear = 1,
	weight = 6,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound2.cat", 10) or cat_sample("$(xcom)/sound/sample.cat", 10),
}

AddXcomItem {
	cost = 300,
	name = "Large Rocket",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 17),
	pMap = pck_image("$(xcom)/units/floorob.pck", 17),
	health = 100,
	damage = 100,
	dDeviation = 50,
	exploRange = 5,
	smokeRange = 8,
	smokeTime = 2,
	importance = 6,
	width = 1,
	height = 3,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 80, 8),
	damageType = 2,
	rounds = 1,
	disappear = 1,
	weight = 8,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound2.cat", 10) or cat_sample("$(xcom)/sound/sample.cat", 10),
}

AddXcomItem {
	cost = 250,
	name = "Incendiary Rocket",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 18),
	pMap = pck_image("$(xcom)/units/floorob.pck", 18),
	health = 100,
	damage = 90,
	dDeviation = 50,
	exploRange = 4,
	smokeRange = 3,
	smokeTime = 2,
	importance = 7,
	width = 1,
	height = 3,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 80, 8),
	damageType = 1,
	rounds = 1,
	disappear = 1,
	weight = 7,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound2.cat", 10) or cat_sample("$(xcom)/sound/sample.cat", 10),
}

AddXcomItem {
	cost = 150,
	name = "Laser Pistol",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 5),
	pMap = pck_image("$(xcom)/units/floorob.pck", 5),
	health = 70,
	damage = 46,
	dDeviation = 50,
	importance = 4,
	width = 1,
	height = 2,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 112, 8),
	damageType = 3,
	accuracy = {28, 40, 68},
	time = {8, 20, 55},
	autoShots = 3,
	weight = 6,
	isGun = 1,
	minimapMark = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 11) or cat_sample("$(xcom)/sound/sample2.cat", 11),
}

AddXcomItem {
	cost = 250,
	name = "Laser Rifle",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 0),
	pMap = pck_image("$(xcom)/units/floorob.pck", 0),
	health = 70,
	damage = 60,
	dDeviation = 50,
	importance = 7,
	width = 1,
	height = 3,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 8, 8),
	damageType = 3,
	accuracy = {46, 65, 100},
	time = {12, 25, 60},
	autoShots = 3,
	weight = 8,
	isGun = 1,
	minimapMark = 1,
	twoHanded = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 11) or cat_sample("$(xcom)/sound/sample2.cat", 11),
}

AddXcomItem {
	cost = 300,
	name = "Heavy Laser",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 6),
	pMap = pck_image("$(xcom)/units/floorob.pck", 6),
	health = 70,
	damage = 75,
	dDeviation = 50,
	importance = 12,
	width = 2,
	height = 3,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 16, 8),
	damageType = 3,
	accuracy = {0, 75, 120},
	time = {0, 33, 66},
	weight = 19,
	isGun = 1,
	minimapMark = 1,
	twoHanded = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 11) or cat_sample("$(xcom)/sound/sample2.cat", 11),
}

AddXcomItem {
	cost = 70,
	name = "Grenade",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 19),
	pMap = pck_image("$(xcom)/units/floorob.pck", 19),      
	health = 50,
	damage = 50,
	dDeviation = 50,
	exploRange = 3,
	smokeRange = 4,
	smokeTime = 2,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 2,
	isGrenade = 1,
	rounds = 10,
	weight = 2,
}

AddXcomItem {
	cost = 20,
	name = "Smoke Grenade",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 20),
	pMap = pck_image("$(xcom)/units/floorob.pck", 20),
	health = 50,
	exploRange = 0,
	smokeRange = 5,
	smokeTime = 4,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 2,
	isGrenade = 1,
	rounds = 10,
	weight = 2,
}

AddXcomItem {
	cost = 80,
	name = "Proximity Grenade",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 21),
	pMap = pck_image("$(xcom)/units/floorob.pck", 21),
	health = 40,
	damage = 70,
	dDeviation = 50,
	exploRange = 6,
	smokeRange = 6,
	smokeTime = 2,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 2,
	isGrenade = 1,
	isProximityGrenade = 1,
	rounds = 10,
	weight = 3,
}

AddXcomItem {
	cost = 95,
	name = "High Explosive",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 22),
	pMap = pck_image("$(xcom)/units/floorob.pck", 22),
	health = 40,
	damage = 110,
	dDeviation = 50,
	exploRange = 5,
	smokeRange = 8,
	smokeTime = 2,
	importance = 4,
	width = 2,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 2,
	isGrenade = 1,
	isHighExplosive = 1,
	rounds = 10,
	weight = 6,
}

AddXcomItem {
	cost = 100,
	name = "Stun Rod",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 26),
	pMap = pck_image("$(xcom)/units/floorob.pck", 26),
	health = 80,
	damage = 100,
	dDeviation = 25,
	importance = 6,
	width = 1,
	height = 3,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 80, 8),
	useTime = 20,
	damageType = 5,
	weight = 3,
	isHandToHand = 1,
	twoHanded = 1,
}

AddXcomItem {
	cost = 75,
	name = "Smoke Rocket",
	pInv = png_image("$(ufo2000)/arts/smokem.png", 3),
	pMap = pck_image("$(xcom)/units/floorob.pck", 16),
	health = 100,
	damage = 15,
	dDeviation = 50,
	exploRange = 1,
	smokeRange = 7,
	smokeTime = 3,
	importance = 5,
	width = 1,
	height = 3,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 80, 8),
	damageType = 2,
	rounds = 1,
	disappear = 1,
	weight = 4,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound2.cat", 10) or cat_sample("$(xcom)/sound/sample.cat", 10),
}

AddXcomItem {
	cost = 65,
	name = "Incendiary Grenade",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 27),
	pMap = pck_image("$(xcom)/units/floorob.pck", 27),
	health = 50,
	damage = 65,
	dDeviation = 25,
	exploRange = 4,
	smokeRange = 3,
	smokeTime = 3,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 1,
	isGrenade = 1,
	rounds = 10,
	weight = 3,
}

AddXcomItem {
	cost = 300,
	name = "Heavy Plasma",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 30),
	pMap = pck_image("$(xcom)/units/floorob.pck", 29),
	health = 60,
	importance = 10,
	width = 2,
	height = 3,
	ammo = {"Heavy Plasma Clip"},
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 40, 8),
	accuracy = {0, 55, 110},
	time = {0, 30, 55},
	weight = 10,
	isGun = 1,
	minimapMark = 1,
	twoHanded = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 18) or cat_sample("$(xcom)/sound/sample2.cat", 18),
}

AddXcomItem {
	cost = 75,
	name = "Heavy Plasma Clip",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 25),
	pMap = pck_image("$(xcom)/units/floorob.pck", 33),
	health = 60,
	damage = 115,
	dDeviation = 25,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 4,
	rounds = 10,
	disappear = 0,
	weight = 3,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 19) or cat_sample("$(xcom)/sound/sample2.cat", 19),
}

AddXcomItem {
	cost = 400,
	name = "Plasma Rifle",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 31),
	pMap = pck_image("$(xcom)/units/floorob.pck", 30),
	health = 60,
	importance = 6,
	width = 1,
	height = 3,
	ammo = {"Plasma Rifle Clip"},
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 48, 8),
	accuracy = {55, 86, 100},
	time = {12, 30, 60},
	autoShots = 3,
	weight = 5,
	isGun = 1,
	minimapMark = 1,
	twoHanded = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 18) or cat_sample("$(xcom)/sound/sample2.cat", 18),
}

AddXcomItem {
	cost = 100,
	name = "Plasma Rifle Clip",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 41),
	pMap = pck_image("$(xcom)/units/floorob.pck", 33),
	health = 60,
	damage = 80,
	dDeviation = 25,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 4,
	rounds = 28,
	disappear = 0,
	weight = 3,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 19) or cat_sample("$(xcom)/sound/sample2.cat", 19),
}

AddXcomItem {
	cost = 170,
	name = "Plasma Pistol",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 32),
	pMap = pck_image("$(xcom)/units/floorob.pck", 31),
	health = 60,
	importance = 4,
	width = 1,
	height = 2,
	ammo = {"Plasma Pistol Clip"},
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 104, 8),
	accuracy = {50, 65, 85},
	time = {10, 30, 60},
	autoShots = 3,
	weight = 3,
	isGun = 1,
	minimapMark = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 18) or cat_sample("$(xcom)/sound/sample2.cat", 18),
}

AddXcomItem {
	cost = 40,
	name = "Plasma Pistol Clip",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 34),
	pMap = pck_image("$(xcom)/units/floorob.pck", 33),
	health = 60,
	damage = 52,
	dDeviation = 25,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 4,
	rounds = 26,
	disappear = 0,
	weight = 2,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 19) or cat_sample("$(xcom)/sound/sample2.cat", 19),
}

AddXcomItem {
	cost = 500,
	name = "Small Launcher",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 37),
	pMap = pck_image("$(xcom)/units/floorob.pck", 36),
	health = 60,
	importance = 7,
	width = 2,
	height = 2,
	ammo = {"Stun Bomb", "Alien Grenade"},
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 64, 8),
	accuracy = {0, 65, 110},
	time = {0, 40, 75},
	weight = 10,
	isGun = 1,
	minimapMark = 1,
	twoHanded = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 53) or cat_sample("$(xcom)/sound/sample2.cat", 53),
}

AddXcomItem {
	cost = 80,
	name = "Stun Bomb",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 38),
	pMap = pck_image("$(xcom)/units/floorob.pck", 37),   
	health = 60,
	damage = 90,
	dDeviation = 50,
	exploRange = 4,
	smokeRange = 4,
	smokeTime = 2,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 5,
	isGrenade = 1,
	rounds = 1,
	disappear = 1,
	weight = 3,
	reloadTime = 15,
}

AddXcomItem {
	cost = 125,
	name = "Alien Grenade",
	pInv = pck_image("$(xcom)/units/bigobs.pck", 39),
	pMap = pck_image("$(xcom)/units/floorob.pck", 38),
	health = 60,
	damage = 90,
	dDeviation = 50,
	exploRange = 4,
	smokeRange = 7,
	smokeTime = 2,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 2,
	isGrenade = 1,
	rounds = 1,
	disappear = 1,
	weight = 3,
	reloadTime = 15,
}

AddXcomItem {
	cost = 50,
	name = "Knife",
	pInv = png_image("$(ufo2000)/arts/knife.png"),
	pMap = png_image("$(ufo2000)/arts/knife_f.png"),
	health = 120,
	damage = 60,
	dDeviation = 80,
	importance = 6,
	width = 1,
	height = 2,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	useTime = 15,
	damageType = 0,
	weight = 2,
	isHandToHand = 1,
}

AddXcomItem {
	cost = 100,
	name = "Submachine Gun",
	pInv = png_image("$(ufo2000)/arts/smg.png"),
	pMap = png_image("$(ufo2000)/arts/smg_f.png"),
	health = 100,
	importance = 6,
	width = 2,
	height = 2,
	ammo = {"Submachine Gun Clip"},
	pHeld = png_image_set("$(ufo2000)/arts/smg_h/32x40", 1, 8),
	accuracy = {65, 0, 0},
	time = {12, 0, 0},
	autoShots = 5,
	weight = 4,
	isGun = 1,
	minimapMark = 1,
	twoHanded = 1,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 4) or cat_sample("$(xcom)/sound/sample2.cat", 4),
}

AddXcomItem {
	cost = 30,
	name = "Submachine Gun Clip",
	pInv = png_image("$(ufo2000)/arts/smg_clip.png"),
	pMap = pck_image("$(xcom)/units/floorob.pck", 2),
	health = 100,
	damage = 30,
	dDeviation = 60,
	importance = 1,
	width = 1,
	height = 1,
	pHeld = pck_image_set("$(xcom)/units/handob.pck", 120, 8),
	damageType = 0,
	rounds = 15,
	disappear = 0,
	weight = 2,
	isAmmo = 1,
	reloadTime = 15,
	sound = cat_sample("$(xcom)/sound/sound1.cat", 22) or cat_sample("$(xcom)/sound/sample2.cat", 22),
}

AddEquipment {
	Name = "Modified X-Com Weapons",
	Layout = {
		{00, 00, "Pistol Clip"},
		{00, 01, "Pistol"},
		{00, 06, "Auto-Cannon"},
		{03, 00, "Rifle Clip"},
		{03, 01, "Rifle"},
		{01, 01, "Submachine Gun"},
		{01, 00, "Submachine Gun Clip"},
		{04, 01, "Laser Pistol"},
		{02, 06, "Auto-Cannon HE-Ammo"},
		{02, 07, "Auto-Cannon I-Ammo"},
		{02, 08, "Auto-Cannon AP-Ammo"},
		{05, 01, "Laser Rifle"},
		{06, 01, "Heavy Laser"},
		{04, 06, "Heavy Cannon"},
		{08, 00, "Plasma Pistol Clip"},
		{08, 01, "Plasma Pistol"},
		{09, 00, "Plasma Rifle Clip"},
		{09, 01, "Plasma Rifle"},
		{06, 06, "Cannon HE-Ammo"},
		{06, 07, "Cannon I-Ammo"},
		{06, 08, "Cannon AP-Ammo"},
		{10, 00, "Heavy Plasma Clip"},
		{10, 01, "Heavy Plasma"},
		{09, 06, "Rocket Launcher"},
		{14, 01, "Alien Grenade"},
		{14, 00, "Grenade"},
		{12, 06, "Incendiary Rocket"},
		{15, 00, "Proximity Grenade"},
		{15, 02, "Knife"},
		{16, 02, "Stun Rod"},
		{11, 06, "Large Rocket"},
		{16, 00, "Smoke Grenade"},
		{13, 00, "Incendiary Grenade"},
		{13, 01, "Stun Bomb"},
		{13, 02, "Small Launcher"},
		{13, 06, "Small Rocket"},
		{14, 06, "Smoke Rocket"},
		{18, 00, "High Explosive"},
	}
}

AddEquipment {
	Name = "Modified X-Com Weapons (no explosives)",
	Layout = {
		{00, 00, "Pistol Clip"},
		{00, 01, "Pistol"},
		{00, 06, "Auto-Cannon"},
		{03, 00, "Rifle Clip"},
		{03, 01, "Rifle"},
		{01, 01, "Submachine Gun"},
		{01, 00, "Submachine Gun Clip"},
		{04, 01, "Laser Pistol"},
--		{02, 06, "Auto-Cannon HE-Ammo"},
--		{02, 07, "Auto-Cannon I-Ammo"},
		{02, 08, "Auto-Cannon AP-Ammo"},
		{05, 01, "Laser Rifle"},
		{06, 01, "Heavy Laser"},
		{04, 06, "Heavy Cannon"},
		{08, 00, "Plasma Pistol Clip"},
		{08, 01, "Plasma Pistol"},
		{09, 00, "Plasma Rifle Clip"},
		{09, 01, "Plasma Rifle"},
--		{06, 06, "Cannon HE-Ammo"},
--		{06, 07, "Cannon I-Ammo"},
		{06, 08, "Cannon AP-Ammo"},
		{10, 00, "Heavy Plasma Clip"},
		{10, 01, "Heavy Plasma"},
		{09, 06, "Rocket Launcher"},
--		{14, 01, "Alien Grenade"},
--		{14, 00, "Grenade"},
--		{12, 06, "Incendiary Rocket"},
--		{15, 00, "Proximity Grenade"},
		{15, 02, "Knife"},
		{16, 02, "Stun Rod"},
--		{11, 06, "Large Rocket"},
		{16, 00, "Smoke Grenade"},
--		{13, 00, "Incendiary Grenade"},
		{13, 01, "Stun Bomb"},
		{13, 02, "Small Launcher"},
--		{13, 06, "Small Rocket"},
		{14, 06, "Smoke Rocket"},
--		{18, 00, "High Explosive"},
	}
}

AddEquipment {
	Name = "Modified X-Com Weapons (no alien weapons)",
	Layout = {
		{00, 00, "Pistol Clip"},
		{00, 01, "Pistol"},
		{00, 06, "Auto-Cannon"},
		{03, 00, "Rifle Clip"},
		{03, 01, "Rifle"},
		{01, 01, "Submachine Gun"},
		{01, 00, "Submachine Gun Clip"},
		{04, 01, "Laser Pistol"},
		{02, 06, "Auto-Cannon HE-Ammo"},
		{02, 07, "Auto-Cannon I-Ammo"},
		{02, 08, "Auto-Cannon AP-Ammo"},
		{05, 01, "Laser Rifle"},
		{06, 01, "Heavy Laser"},
		{04, 06, "Heavy Cannon"},
--		{08, 00, "Plasma Pistol Clip"},
--		{08, 01, "Plasma Pistol"},
--		{09, 00, "Plasma Rifle Clip"},
--		{09, 01, "Plasma Rifle"},
		{06, 06, "Cannon HE-Ammo"},
		{06, 07, "Cannon I-Ammo"},
		{06, 08, "Cannon AP-Ammo"},
--		{10, 00, "Heavy Plasma Clip"},
--		{10, 01, "Heavy Plasma"},
		{09, 06, "Rocket Launcher"},
--		{14, 01, "Alien Grenade"},
		{14, 00, "Grenade"},
		{12, 06, "Incendiary Rocket"},
		{15, 00, "Proximity Grenade"},
		{15, 02, "Knife"},
		{16, 02, "Stun Rod"},
		{11, 06, "Large Rocket"},
		{16, 00, "Smoke Grenade"},
		{13, 00, "Incendiary Grenade"},
--		{13, 01, "Stun Bomb"},
--		{13, 02, "Small Launcher"},
		{13, 06, "Small Rocket"},
		{14, 06, "Smoke Rocket"},
		{18, 00, "High Explosive"},
	}
}

AddEquipment {
	Name = "Modified X-Com Weapons (conventional weapons)",
	Layout = {
		{00, 00, "Pistol Clip"},
		{00, 01, "Pistol"},
		{00, 06, "Auto-Cannon"},
		{03, 00, "Rifle Clip"},
		{03, 01, "Rifle"},
		{01, 01, "Submachine Gun"},
		{01, 00, "Submachine Gun Clip"},
--		{04, 01, "Laser Pistol"},
		{02, 06, "Auto-Cannon HE-Ammo"},
		{02, 07, "Auto-Cannon I-Ammo"},
		{02, 08, "Auto-Cannon AP-Ammo"},
--		{05, 01, "Laser Rifle"},
--		{06, 01, "Heavy Laser"},
		{04, 06, "Heavy Cannon"},
--		{08, 00, "Plasma Pistol Clip"},
--		{08, 01, "Plasma Pistol"},
--		{09, 00, "Plasma Rifle Clip"},
--		{09, 01, "Plasma Rifle"},
		{06, 06, "Cannon HE-Ammo"},
		{06, 07, "Cannon I-Ammo"},
		{06, 08, "Cannon AP-Ammo"},
--		{10, 00, "Heavy Plasma Clip"},
--		{10, 01, "Heavy Plasma"},
		{09, 06, "Rocket Launcher"},
--		{14, 01, "Alien Grenade"},
		{14, 00, "Grenade"},
		{12, 06, "Incendiary Rocket"},
		{15, 00, "Proximity Grenade"},
		{15, 02, "Knife"},
		{16, 02, "Stun Rod"},
		{11, 06, "Large Rocket"},
		{16, 00, "Smoke Grenade"},
		{13, 00, "Incendiary Grenade"},
--		{13, 01, "Stun Bomb"},
--		{13, 02, "Small Launcher"},
		{13, 06, "Small Rocket"},
		{14, 06, "Smoke Rocket"},
		{18, 00, "High Explosive"},
	}
}

AddEquipment {
	Name = "Modified X-Com Weapons (no smoke/explosives)",
	Layout = {
		{00, 00, "Pistol Clip"},
		{00, 01, "Pistol"},
		{00, 06, "Auto-Cannon"},
		{03, 00, "Rifle Clip"},
		{03, 01, "Rifle"},
		{01, 01, "Submachine Gun"},
		{01, 00, "Submachine Gun Clip"},
		{04, 01, "Laser Pistol"},
--		{02, 06, "Auto-Cannon HE-Ammo"},
--		{02, 07, "Auto-Cannon I-Ammo"},
		{02, 08, "Auto-Cannon AP-Ammo"},
		{05, 01, "Laser Rifle"},
		{06, 01, "Heavy Laser"},
		{04, 06, "Heavy Cannon"},
		{08, 00, "Plasma Pistol Clip"},
		{08, 01, "Plasma Pistol"},
		{09, 00, "Plasma Rifle Clip"},
		{09, 01, "Plasma Rifle"},
--		{06, 06, "Cannon HE-Ammo"},
--		{06, 07, "Cannon I-Ammo"},
		{06, 08, "Cannon AP-Ammo"},
		{10, 00, "Heavy Plasma Clip"},
		{10, 01, "Heavy Plasma"},
--		{09, 06, "Rocket Launcher"},
--		{14, 01, "Alien Grenade"},
--		{14, 00, "Grenade"},
--		{12, 06, "Incendiary Rocket"},
--		{15, 00, "Proximity Grenade"},
		{15, 02, "Knife"},
		{16, 02, "Stun Rod"},
--		{11, 06, "Large Rocket"},
--		{16, 00, "Smoke Grenade"},
--		{13, 00, "Incendiary Grenade"},
--		{13, 01, "Stun Bomb"},
--		{13, 02, "Small Launcher"},
--		{13, 06, "Small Rocket"},
--		{14, 06, "Smoke Rocket"},
--		{18, 00, "High Explosive"},
	}
}
